{"openapi":"3.0.0","servers":[{"description":"3Z - APIs de sincronismo","url":"https://3z.h.simova.cloud/nfs/api/v1"},{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/simova-e17/3zIntegrationSync/1.0.0"}],"info":{"version":"1.0.0","title":"3Z - APIs de sincronismo","description":"3Z - APIs de sincronismo"},"paths":{"/auth":{"post":{"summary":"Obtenção de autenticação","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"string","example":"email@dominio.com"},"password":{"type":"string","example":"minhaSenha"},"empresa":{"type":"string","example":"Matriz"}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Token gerado com sucesso."},"token":{"type":"string","example":"TOKEN GERADO"},"user":{"type":"string","example":"email@dominio.com"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/equipamento":{"post":{"summary":"Criação ou edição de um equipamento","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"Ativo":{"type":"string","example":"1"},"NumeroEquipamento":{"type":"string","example":"25032025"},"Placa":{"type":"string","example":"simova25"},"Frota":{"type":"string","example":"ABC"},"FlagDoisAbastecimento":{"type":"string","example":"0"},"FlagEqpAlugado":{"type":"string","example":"0"},"CapacidadeCombustivel":{"type":"string","example":"50.0"},"EqpInferior":{"type":"string","example":"2503A"},"EqpSuperior":{"type":"string","example":"2503B"},"TipoEquipamento":{"type":"string","example":"130201"},"ModeloEquipamento":{"type":"string","example":"PK38502"},"StatusEquipamento":{"type":"string","example":"3"}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Equipamento atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"138"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/tarefa":{"post":{"summary":"Criação ou edição de uma tarefa","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Tarefa Teste"},"numeroOperacao":{"type":"string","example":"020"},"tempoMaximo":{"type":"integer","example":4},"flagEnviaMobile":{"type":"integer","example":1},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Tarefa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"7"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/motivo_pausa":{"post":{"summary":"Criação ou edição de um motivo de pausa","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Motivo de Pausa"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Motivo de Pausa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"7"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/material":{"post":{"summary":"Criação ou edição de um material","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoSAP":{"type":"string","example":"10042025"},"codigoCatalogo":{"type":"string","example":"10042025A"},"paginaCatalogo":{"type":"string","example":"10042025B"},"descricao":{"type":"string","example":"Material 001 Sincronismo"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Material inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/desvio":{"post":{"summary":"Criação ou edição de um desvio","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"10042025"},"descricao":{"type":"string","example":"Desvio Teste"},"tempoMaximo":{"type":"integer","example":4},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Desvio inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om":{"post":{"summary":"Criação ou edição de uma om","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"SYNC001XTESTE"},"status":{"type":"string","example":"1"},"dataAbertura":{"type":"string","format":"date","example":"09/04/2025"},"dataProgramada":{"type":"string","format":"date","example":"25/09/2025"},"localAtendimento":{"type":"string","example":"2"},"tipoAtendimento":{"type":"string","example":"2"},"tipoOM":{"type":"string","example":"2"},"equipamento":{"type":"string","example":"12359"},"observacao":{"type":"string","example":"Sincronismo de OM via Insomnia DEV"},"flagAssinaturaEncarregado":{"type":"integer","example":1},"flagHoraManual":{"type":"integer","example":1},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"2"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_mecanico":{"post":{"summary":"Criação ou edição de uma OM x MECANICO","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"SYNC001XTESTE"},"crachaMecanico":{"type":"string","example":"131"},"status":{"type":"string","example":"1"},"ativo":{"type":"integer","example":1}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM atualizado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"2"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_tarefa":{"post":{"summary":"Criação ou edição de uma OM x TAREFA","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"ativo":{"type":"string","example":"1"},"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"45678"},"status":{"type":"string","example":"1"},"codigo":{"type":"array","items":{"type":"object","properties":{"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigo":{"type":"string","example":"45678-020"},"numeroOperacao":{"type":"string","example":"020"},"descricao":{"type":"string","example":"VERIFICAÇÃO DO FILTRO AR"},"tempoMaximo":{"type":"string","example":"10"},"flagEnviaMobile":{"type":"string","example":"1"},"ativo":{"type":"string","example":"1"}}}}}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM x Tarefa inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/om_tarefa_material":{"post":{"summary":"Criação ou edição de uma OM x TAREFA x MATERIAL","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"ativo":{"type":"string","example":"1"},"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"codigoOM":{"type":"string","example":"01"},"codigoTarefa":{"type":"string","example":"01"},"codigoMaterial":{"type":"string","example":"10042025"},"qtdRequisitada":{"type":"string","example":"3.00"}}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM x Tarefa x Material inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/sync/pneus_instalados":{"post":{"summary":"Criação ou edição de uma OM x TAREFA x MATERIAL","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"ativo":{"type":"string","example":"1"},"filial":{"type":"string","example":"Matriz"},"local":{"type":"string","example":"Matriz"},"Equipamento":{"type":"string","example":"CEL302"},"PosicaoPneus":{"type":"string","example":"T1D"},"NumeroFogo":{"type":"string","example":"50"},"Serie":{"type":"string","example":"4z5z"},"Sulco":{"type":"string","example":"37.4"},"UltimaMedicao":{"type":"string","example":"15/08/2025 09:37:00"},"Removido":{"type":"number","example":0}}}}}}},"responses":{"200":{"description":"Resposta com mensagem","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de Pneus Instalados inserido com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":"6"}}}}}},"400":{"description":"Dados inválidos"}}}},"/integration/om_apt_tempo_rateado":{"post":{"summary":"Confirmação da integração de dados","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":126}}}}}},"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM_APT_TEMPO_RATEADO alterado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":""}}}}}},"400":{"description":"Requisição inválida"}}}},"/integration/list/om_apt_tempo_rateado":{"post":{"summary":"Processa uma entrada e retorna chaves com valores","parameters":[{"in":"query","name":"procSt","schema":{"type":"string","example":"0"}}],"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"126"},"DataInsercao":{"type":"string","example":"2025-06-05 09:24:02"},"DataApontamento":{"type":"string","example":"2025-06-05 00:00:00"},"crachaFuncionario":{"type":"string","example":"15"},"placaEquipamento":{"type":"string","example":"EFG12354"},"codigoOM":{"type":"string","example":8},"codigoOmManual":{"type":"string","example":"1749126132196"},"codigoTarefa":{"type":"string","example":"TAR001X"},"codigoDesvio":{"type":"string","example":null},"tarefaInserida":{"type":"string","example":""},"tempoEmSegundos":{"type":"string","example":42},"flagIntegrado":{"type":"string","example":0},"flagOMManual":{"type":"string","example":0}}}}}},"400":{"description":"Requisição inválida"}}}},"/integration/list/om_tarefa_material":{"post":{"summary":"Processa uma entrada e retorna chaves com valores","parameters":[{"in":"query","name":"procSt","schema":{"type":"string","example":"0"}}],"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"126"},"DataInsercao":{"type":"string","example":"2025-06-05 09:24:02"},"codigoOM":{"type":"string","example":"021"},"codigoTarefa":{"type":"string","example":"10042025"},"codigoSAPMaterial":{"type":"string","example":"MAT001SAP"},"codigoCatalogoMaterail":{"type":"string","example":"MAT001CAT"},"paginaCatalogoMaterial":{"type":"string","example":"1"},"quantidade":{"type":"string","example":"2.00"},"flagIntegrado":{"type":"string","example":"0"},"flagOMManual":{"type":"string","example":"0"}}}}}},"400":{"description":"Requisição inválida"}}}},"/integration/list/om_apt_abastecimento":{"post":{"summary":"Processa uma entrada e retorna chaves com valores","parameters":[{"in":"query","name":"procSt","schema":{"type":"string","example":"0"}}],"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"12"},"NomeEmpresa":{"type":"string","example":"3Z"},"NomeFilial":{"type":"string","example":"Matriz"},"Nomelocal":{"type":"string","example":"Matriz"},"DataInsercao":{"type":"string","example":"2025-08-08 12:21:29"},"DataLancamentox":{"type":"string","example":"2025-08-08 12:20:02"},"codigoEmpresaTerceiro":{"type":"string","example":"001"},"codigoEquipamento":{"type":"string","example":"25032025"},"crachaAbastecedor":{"type":"string","example":"102"},"operador":{"type":"string","example":"José "},"descricaoCombustivel":{"type":"string","example":"DIESEL S10"},"quantidadeAbastecida":{"type":"string","example":"50.0"},"horimetro":{"type":"string","example":"1500.0"},"odometro":{"type":"string","example":"25000.0"},"codigoPontoMedicao":{"type":"string","example":null},"codigoOM":{"type":"string","example":null}}}}}},"400":{"description":"Requisição inválida"}}}},"/integration/om_apt_pneus_medicao":{"post":{"summary":"Confirmação da integração de dados","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"Id":{"type":"string","example":1}}}}}},"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","example":"success"},"msg":{"type":"string","example":"Cadastro de OM_APT_PNEUS_MEDICAO alterado com sucesso"},"field":{"type":"string","example":""},"id":{"type":"string","example":""}}}}}},"400":{"description":"Requisição inválida"}}}},"/integration/list/om_apt_pneus_medicao":{"post":{"summary":"Processa uma entrada e retorna chaves com valores","parameters":[{"in":"query","name":"procSt","schema":{"type":"string","example":"0"}}],"responses":{"200":{"description":"Resposta com dados processados","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"12"},"NomeEmpresa":{"type":"string","example":"3Z"},"NomeFilial":{"type":"string","example":"Matriz"},"sequencialApontamento":{"type":"string","example":"1749755240989"},"DataInsercao":{"type":"string","example":"2025-08-08 12:21:29"},"DataApontamento":{"type":"string","example":"2025-08-08 12:20:02"},"Equipamento":{"type":"string","example":"13201003"},"crachaFuncionario":{"type":"string","example":"131"},"posicaoPneus":{"type":"string","example":"D1E"},"serie":{"type":"string","example":"123"},"numeroFogo":{"type":"string","example":"987654"},"sulco":{"type":"string","example":"4.0"},"origem":{"type":"string","example":"1"},"observacao":{"type":"string","example":""},"flagDivergencia":{"type":"string","example":"0"}}}}}},"400":{"description":"Requisição inválida"}}}}}}